> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get applications 1

> Retrieves the Application Data value
for the given System ID.

*Note: The User must be the System Admin to be authorized for this operation.*

This operation returns a Application Data value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /applications/{sysidApplication}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /applications/{sysidApplication}:
    get:
      tags:
        - ApplicationService
      description: >-
        Retrieves the Application Data value

        for the given System ID.


        *Note: The User must be the System Admin to be authorized for this
        operation.*


        This operation returns a Application Data value.
      operationId: getApplication
      parameters:
        - name: sysidApplication
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: ': Integer System ID of the application'
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    login: ...
                    useJWTToken: true
                    password: ...
                    sysidReservationProtection: 12345
                    name: ...
                    sysidAccount: 12345
                    applicationType: EXCHANGE_ADDIN
                    ignoreConfiguredSessionTimeout: true
                    description: ...
                    mobileDevice: true
                    userCredentialTypes:
                      - sysidUserCredentialsType: 12345
                        sysidApplicationUserCredential: 12345
                      - sysidUserCredentialsType: 12345
                        sysidApplicationUserCredential: 12345
                    active: true
                    internalApplication: true
                    sysidApplication: 12345
                    sysidApplicationType: 12345
              schema:
                $ref: '#/components/schemas/ApplicationData'
          description: |-
            ApplicationData
            com.agilquest.phoenix.shared.data.application.ApplicationData
components:
  schemas:
    ApplicationData:
      type: object
      title: ApplicationData
      required:
        - useJWTToken
        - sysidAccount
        - ignoreConfiguredSessionTimeout
        - mobileDevice
        - active
        - internalApplication
        - sysidApplicationType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            login:
              type: string
            useJWTToken:
              type: boolean
            password:
              type: string
            sysidReservationProtection:
              type: integer
              format: int32
            name:
              type: string
            sysidAccount:
              type: integer
              format: int32
            applicationType:
              $ref: '#/components/schemas/ApplicationType'
            ignoreConfiguredSessionTimeout:
              type: boolean
            description:
              type: string
            mobileDevice:
              type: boolean
            userCredentialTypes:
              type: array
              items:
                $ref: '#/components/schemas/ApplicationUserCredential'
            active:
              type: boolean
            internalApplication:
              type: boolean
            sysidApplication:
              type: integer
              format: int32
            sysidApplicationType:
              type: integer
              format: int32
      example:
        login: ...
        useJWTToken: true
        password: ...
        sysidReservationProtection: 12345
        name: ...
        sysidAccount: 12345
        applicationType: ANDROID_MOBILE
        ignoreConfiguredSessionTimeout: true
        description: ...
        mobileDevice: true
        userCredentialTypes:
          - sysidUserCredentialsType: 12345
            sysidApplicationUserCredential: 12345
          - sysidUserCredentialsType: 12345
            sysidApplicationUserCredential: 12345
        active: true
        internalApplication: true
        sysidApplication: 12345
        sysidApplicationType: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ApplicationType:
      type: string
      title: ApplicationType
      enum:
        - WEB_UI
        - EXCHANGE_ADDIN
        - PLAI
        - LOBBY_KIOSK
        - IOS_MOBILE
        - ANDROID_MOBILE
        - ACCESSIBLE_INTERFACE
        - OTHER
    ApplicationUserCredential:
      type: object
      title: ApplicationUserCredential
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserCredentialsType:
              type: integer
              format: int32
            sysidApplicationUserCredential:
              type: integer
              format: int32
      example:
        sysidUserCredentialsType: 12345
        sysidApplicationUserCredential: 12345

````